For AI agents: a documentation index is available at /llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.

Get Prompt Version Eval Run

Read one offline evaluation job with its status and progress.

Read one offline evaluation job with its status and progress.

gethttps://statsigapi.net/console/v1/prompts/{id}/versions/{versionId}/eval_runs/{runId}

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

Prompt id or name

versionIdstringrequired

Prompt version ID

runIdstringrequired

Eval run ID

Response

application/json
200· Get Prompt Version Eval Run
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
idstringrequired
statusstringrequired
Allowed values:runningcompletedfailed
createdTimenumberrequired
Constraints:format: double
finishTimenumberrequired
Constraints:format: doublenullable
runTimenumberrequired
Constraints:format: doublenullable
modelstringrequired
Constraints:nullable
providerstringrequired
Constraints:nullable
datasetVersionnumberrequired

Version of the dataset the run scored.

Constraints:format: doublenullable
errorReasonstringrequired
Constraints:nullable
progressobjectrequired
Constraints:nullable
completedRowsnumberrequired
Constraints:format: double
totalRowsnumberrequired
Constraints:format: double
404· Not Found. The requested resource could not be found.
statusintegerrequired
Allowed values:404
messagestringrequired

Was this helpful?